## bombono-dvd 1.2.2

=== SConstruct ===
#!/usr/bin/env python
import string
import os
import sys

scripts_path = 'tools/scripts'

sys.path.append(scripts_path)
import BuildVars as BV

#
# Atom's project main SConstruct file
#
# (inspired by Blender's SConstruct file,
#  http://www.blender.org/)
#

BV.Args = ARGUMENTS
BV.Targets = COMMAND_LINE_TARGETS

############################################
# Dependency libraries & Settings

# via pkg-config
RequiredLibs = ['glibmm-2.4', 'libxml++-2.6', 'gtkmm-2.4']
FFmpegLibs   = ['libavformat', 'libavcodec', 'libswscale', 'libavutil']
RequiredLibs += FFmpegLibs

# :TODO: convert to config.opts option
ConfigGPL = False

# define path to libs
def SetLibraries(config, user_options_dict):
    for lib in RequiredLibs:
        BV.SetLibInfo(config, user_options_dict, lib)

# 
def AddLibOptions(user_options):
    # we make arg's tuple from list
    args = tuple([ (BV.MakeDictName(lib),) for lib in RequiredLibs ])
    user_options.AddVariables(*args)


# legacy stuff (support for GM is hard => trash)
# to turn on:
# 1. False -> True
# 2. uncomment in src/SConscript
BuildMcomposite = False
if BuildMcomposite:
    RequiredLibs.extend(['mjpegtools', 'GraphicsMagick++'])

# global -pthread
IsThreadedBuild = False
ThreadOpt = ['-pthread']
            
############################################
# Compilers

common_warn_flags = []
cxx_warn_flags    = []
debug_flags   = ['-g', '-O0']
release_flags = ['-O2']
defines       = []

def CalcCommonFlags():
    if BV.IsReenter(CalcCommonFlags):
        return

    global common_warn_flags, cxx_warn_flags, debug_flags, defines
    if BV.IsGccCompiler():
        # GCC
        common_warn_flags = ['-ansi']
        # -Wno-reorder - not to warn if not accurate order in ctor (let compiler do!)
        # :TODO: why 
        #   CXXCOM = $CXX -o $TARGET -c $CXXFLAGS $CCFLAGS ...
        # but not
        #   CXXCOM = $CXX -o $TARGET -c $CCFLAGS $CXXFLAGS ...
        cxx_warn_flags = ['-Wall', '-W', '-Wno-reorder'] # -W == -Wextra
        # Oh, GCC! Just give me the speed. If you don't stop getting slower, I'll go to Clang.
        debug_flags += ['-pipe']
    elif BV.IsClangCompiler():
        common_warn_flags = ['-ansi']
        cxx_warn_flags    = [
            '-Wall', '-Wno-reorder', 
            '-Wno-unused-variable'   # many Boost code throws it like "boost::lambda::_1"
        ]
    elif BV.Cc == 'como' or BV.Cxx == 'como':
        # Comeau compiler
        #
        # Currently used as compile-link check only to conform "clean C++" better.
        # See extended remarks about settings used here
        #

        # don't mix compilers
        BV.Cc  = 'como'
        BV.Cxx = 'como'

        common_warn_flags = \
        [
         # accept defines like #define g_error(...) __VA_ARGS__   
         '--variadic_macros', 
         # 1   do not warn when overloaded virtual function is partially overridden
         # 2,3 type qualifiers are meaningless
         # 4   delete of pointer to incomplete class
         '--diag_suppress=611,21,815,414',
        ]
        cxx_warn_flags = []
        # policy: no XOPEN things meanwhile.
        defines = [ 
                    ('_POSIX_C_SOURCE','200112L'),  # fdopen(), fileno(), ...
                    'BOOST_NO_INT64_T',             # Glibc' int64_t trap for non-gcc compilers
                    '_ISOC99_SOURCE'                # C99 extentions: snprintf()
                  ]

#
# Users CPPFLAGS support
# Because SCons cannot handle -U option (~ #undef) it is done via
# additional variable named POST_CPPFLAGS
#
UserCppFlags = ''

def AdjustConfigOptions(env):
    CalcCommonFlags()

    if BV.IsDebugCfg():
        cflags = debug_flags
    else:
        cflags = release_flags

    ldflags = []
    #if BV.BuildProfile:
    #    cflags += profile_flags
    #    ldflags += profile_flags
    
    env.Replace(CC = BV.Cc)
    env.Replace(CXX = BV.Cxx)
    env.Prepend(CCFLAGS = cflags)
    env.Prepend(LINKFLAGS = ldflags)
    env.Prepend(CPPDEFINES = defines)
    
    # to be able to override previous options (not just to add)
    env.Append(CCFLAGS = BV.CFlags.split())
    env.Append(CXXFLAGS = BV.CxxFlags.split())
    env.Append(LINKFLAGS = BV.LdFlags.split())
    env.Append(POST_CPPFLAGS = UserCppFlags.split())
        
    # :TODO: set them when need
    #env.Replace (PATH = user_options_dict['PATH'])
    #env.Replace (AR = user_options_dict['AR'])

    # Large File Support
    if not BV.IsReenter(AdjustConfigOptions):
        if BV.IsSConsLE_0_96(env):
            # :TRICKY: nobody but me uses so old scons, so I do it straight
            dict = { 'CPPDEFINES': ['_LARGEFILE_SOURCE', ('_FILE_OFFSET_BITS', '64')] }
        else:
            dict = BV.ParseFlagsForCommand('getconf LFS_CFLAGS', 1)
            dict.update(BV.ParseFlagsForCommand('getconf LFS_LDFLAGS'))
            dict.update(BV.ParseFlagsForCommand('getconf LFS_LIBS'))
        AdjustConfigOptions.lfs = dict
    env.Append(**AdjustConfigOptions.lfs)

    # Multithreading, global
    if IsThreadedBuild:
        env.Append(CCFLAGS = ThreadOpt, LINKFLAGS = ThreadOpt)

############################################
# Defaults

BV.CfgFile  = BV.Args.get('CFG_FILE','config.opts')

def_env = Environment(ENV = os.environ)
def_env_dict  = def_env.Dictionary()

user_options_dict = {} 

Variables = BV.Variables
EnumVariable = BV.EnumVariable
BoolVariable = BV.BoolVariable

def ParseVariables(user_options):
    user_options.AddVariables (
            (EnumVariable('BUILD_CFG',
                        'Select release or debug build.', 
                        'release', allowed_values = ('release', 'debug'))),
    		('BUILD_DIR', 'Target directory for intermediate files.',
    					'build'),
            (BoolVariable('BUILD_BRIEF',
                        'Set to 1 if you want brief compiling/linking output.',
                        'false')),
            (EnumVariable('BUILD_QUICK',
                        "Set to 'true' if you want to reduce building time using: \n"
                        "\t1) PCH - precompiled headers \n"
                        "\t2) some SCons perfomance tuning.\n"
                        "\t'auto' implies true for debug build and false for release one.",
                        'auto', allowed_values = ('auto', 'false', 'true'))),
            ('PREFIX',  'Change the default install directory.', '/usr/local'),
            ('DESTDIR', 'Set the intermediate install directory.', ''),
            ('CC', 'C compiler.'),
            ('CXX', 'C++ compiler.'),
            ('CPPFLAGS','Extra CPP flags.', ''),
            ('CFLAGS',  'Extra C Compiler flags (for C++ too).', ''),
            ('CXXFLAGS','Extra C++ Compiler flags.', ''),
            ('LDFLAGS', 'Extra Linker flags.', ''),
            (BoolVariable('TEST',
                        'Set to 1 if you want to build and run tests.',
                        'false')),
            (BoolVariable('USE_EXT_BOOST',
                        'Leave this setting 0 to use embedded Boost library version (recommended).',
                        'false')),
            ('BOOST_INCLUDE', 'Set to include path for external(not embedded) version of the Boost library.', ''),
            ('BOOST_LIBPATH', 'Set to library dir path for external(not embedded) version of the Boost library.', ''),
            ('DVDREAD_INCLUDE', 'Set to include path for libdvdread header files.', ''),
            ('DVDREAD_LIBPATH', 'Set to library path where the libdvdread is located.', ''),
            # Undocumented
            (BoolVariable('TEST_BUILD',
                        'Set to 1 if you want to build with tests (all).',
                        'false')),
            (BoolVariable('USE_EXT_ASL',
                        'Leave this setting 0 to use embedded ASL library version (recommended).',
                        'false')),
            )
    # we need to add 'lib dict vars' user_options to load in user_options_env
    AddLibOptions(user_options)

    # Configuration
    def add_calc_variables(*lst):
        lst = ((name,) for name in lst)
        user_options.AddVariables( *lst )
    add_calc_variables('IS_GCC', 'IS_CLANG', 'CONFIGURATION')

    # make help (scons -h)
    user_options_env = Environment(ENV = os.environ, options = user_options)
    Help(user_options.GenerateHelpText(user_options_env))
    # fill in user_env_dict
    global user_options_dict
    user_options_dict = user_options_env.Dictionary()
    # must be later than assigning
    BV.InitUOD(user_options_dict)
    Export('user_options_dict')
    user_options_dict['AdjustConfigOptions'] = AdjustConfigOptions

    # fill in BuildVars
    BV.BuildCfg = user_options_dict['BUILD_CFG']
    BV.BuildDir = user_options_dict['BUILD_DIR']
    BV.BuildBrief = user_options_dict['BUILD_BRIEF']

    BV.Cc  = user_options_dict['CC']
    BV.Cxx = user_options_dict['CXX']
    global UserCppFlags
    UserCppFlags  = user_options_dict['CPPFLAGS']
    BV.CFlags = user_options_dict['CFLAGS']
    BV.CxxFlags = user_options_dict['CXXFLAGS']
    BV.LdFlags  = user_options_dict['LDFLAGS']
    BV.RunTests = user_options_dict['TEST']
    BV.BuildTests = user_options_dict['TEST_BUILD']

    # make build dir if not exist;
    # need to make manually for .sconsign
    if os.path.isdir(BV.BuildDir) == 0:
    	os.makedirs(BV.BuildDir)
    #SourceSignatures('timestamp')
    SConsignFile(BV.BuildDir+os.sep+'.sconsign')
    # conf dir
    user_options_dict['ConfigDir'] = BV.BuildDir+ '/' + BV.GetSrcDirPath() +'/cfg'
    user_options_dict['DVDREAD_DICT'] = { 'CPPPATH' : [user_options_dict['DVDREAD_INCLUDE']],
                                          'LIBPATH' : [user_options_dict['DVDREAD_LIBPATH']] }

############################################
# Config

if os.path.exists( BV.CfgFile ):
    print "Using config file: " + BV.CfgFile

    user_options = Variables(BV.CfgFile, BV.Args)
    ParseVariables(user_options)

else:
    print "Creating new config file: " + BV.CfgFile

    user_options = Variables(None, BV.Args)
    ParseVariables(user_options)
    try:
        def write_name_value(name, val):
            config.write('%s = %r\n' % (name, val))
        def write_dict_value(name):
            write_name_value(name, user_options_dict[name])

        # save to file
        config = open(BV.CfgFile, 'w')
    
        config.write("# Options for building Atom project\n")
        config.write('BUILD_CFG = %r\n' % (BV.BuildCfg))
        config.write('BUILD_DIR = %r\n' % (BV.BuildDir))
        config.write('BUILD_BRIEF = %r\n' % (BV.BuildBrief))
        write_dict_value('BUILD_QUICK')
        config.write('TEST = %r\n' % (BV.RunTests))
        write_dict_value('PREFIX')
        write_dict_value('DESTDIR')
    
        config.write('\n# Compiler information\n')
        config.write('CC = %r\n' % (BV.Cc))
        config.write('CXX = %r\n' % (BV.Cxx))
        write_name_value('CPPFLAGS', UserCppFlags)
        config.write('CFLAGS = %r\n' % (BV.CFlags))
        config.write('CXXFLAGS = %r\n' % (BV.CxxFlags))
        config.write('LDFLAGS = %r\n' % (BV.LdFlags))

        config.write('\n# Boost library\n')
        write_dict_value('USE_EXT_BOOST')
        write_dict_value('BOOST_INCLUDE')
        write_dict_value('BOOST_LIBPATH')

        config.write('\n# libdvdread library\n')
        write_dict_value('DVDREAD_INCLUDE')
        write_dict_value('DVDREAD_LIBPATH')

        config.write('\n### Calculated data ###\n')
        SConscript('Autoconfig')

        config.write('\n')
        write_dict_value('IS_GCC')
        write_dict_value('IS_CLANG')

        config.write('\n# Configuration\n')
        write_dict_value('CONFIGURATION')

        SetLibraries(config, user_options_dict)

        config.write('\n# Undocumented\n')
        # this one has only one purpose I can say: just build all
        # to test/profile SCons speed
        config.write('TEST_BUILD = %r\n' % (BV.BuildTests))
        write_dict_value('USE_EXT_ASL')

        config.close()
    except:

=== resources/scons_authoring/SConstruct ===
#!/usr/bin/env python
# coding: utf-8

from SConsTwin import MakeGenAction, IsSConsVersionGE
import os, sys

# поменьше служебных файлов на виду
tmp_dir = 'temp'
if os.path.isdir(tmp_dir) == 0:
    os.makedirs(tmp_dir)
SConsignFile(tmp_dir + os.sep + '.sconsign')

if not IsSConsVersionGE((1, 1, 0)):
    # до 1.1.0 md5 считалось чтением в строку (память) содержимого всего файла,
    # что для гигабайтных файлов фатально
    # Замечание: реально не вылетает если отключить вычисление csig, а не установкой
    # SourceSignatures('timestamp'); потому что csig вычисляется всегда, "на всякий случай" для <= 1.1.0
    from SCons.Node.FS import FileNodeInfo
    FileNodeInfo.field_list.remove('csig')

    SourceSignatures('timestamp')

# нужен правильный $PATH и т.д.
# просто Replace() не дают сделать
def_env = DefaultEnvironment()
def_env.Replace(ENV = os.environ)

if IsSConsVersionGE((2, 0, 0)):
    # :KLUDGE: надо разобраться, где ошибка (=> добавить ошибку в базу SCons)
    # проблемы имен директорий с не латинскими буквами (русскими)
    def print_cmd_line(s, target, source, env):
        # без u""!
        sys.stdout.write(s + "\n")
    def_env.Replace(PRINT_CMD_LINE_FUNC = print_cmd_line)

# звук тишины для неподвижных меню
def GetkHzArgForToolame(kHz):
    return kHz * 1000

argHz = GetkHzArgForToolame(48)
Command('Silent.mp2', [], "dd if=/dev/zero bs=4 count=1920 | twolame -b 128 -s %d -r - $TARGET" % argHz)

# основная функция создания меню
#import ADVD
#MakeADVDMenu = ADVD.MakeMenu 
#Export('MakeADVDMenu')

import ASettings
#SConscript([menu + '/SConscript' for menu in ASettings.List])

#
# Получение опций
#
user_options = Options(None, ARGUMENTS)
user_options.AddOptions(
        ('DVDLabel', 'DVD Label', ASettings.DVDLabel),
        ('DVDDrive', 'DVD drive to burn', ASettings.DVDDrive),
        ('DVDSpeed', 'Writing speed', ASettings.DVDSpeed)
    )
user_options_env = Environment(ENV = os.environ, options = user_options)
Help(user_options.GenerateHelpText(user_options_env))
user_options_dict = user_options_env.Dictionary()

DVDLabel = user_options_env['DVDLabel']
DVDDrive = user_options_env['DVDDrive']
DVDSpeed = float(user_options_env['DVDSpeed'])

#
# Основная цель
#
dvd_dir = 'dvd'
# так как директория не может быть целью для команд, то выберем главный файл
dvd_scons_target = dvd_dir + '/VIDEO_TS/VIDEO_TS.IFO'
main_target = Command(dvd_scons_target, ['DVDAuthor.xml'],
                      [
                        Delete(dvd_dir),
                        "dvdauthor -o " + dvd_dir + " -x $SOURCE",
                      ])
Clean(main_target, dvd_dir)
Default(dvd_dir)

#
# Дополнительные цели
#
def ParentDir(fname):
    import os
    return os.path.dirname(fname)

def GetDVDDir(video_ts_source, is_abs):
    dvd_dir = video_ts_source.path
    if is_abs:
        dvd_dir = video_ts_source.abspath
    return ParentDir(ParentDir(dvd_dir))

# /totem - специально никогда недоступная цель, которую вызываем через нормальный alias
# по-другому не знаю как сделать всегда выполняющуюся цель
def MakeAbstractName(target_name):
    return "/__" + target_name

def MakeAbstractCommandForDVDDir(target_name, command_action):
    abs_name = MakeAbstractName(target_name)
    abs_target = Command(abs_name, [dvd_scons_target], MakeGenAction(command_action)) # command_gen(abs_name)
    Alias(target_name, abs_target)

def ArgForCmd(arg):
    return "\"" + arg + "\""
# 
# * воспроизвести результат в Totem
#
# всю директорию указывать нельзя - scons будет пытаться со всех файлов брать md5="тупить на 4Gb"
def GenPlayerAction(player_name):
    def GenAction(source, target, env, for_signature):
        url = "dvd://%s" % (GetDVDDir(source[0], 1))
        return player_name + " " + ArgForCmd(url)
    return GenAction

def MakePlayerCommand(player_name):
    MakeAbstractCommandForDVDDir(player_name, GenPlayerAction(player_name))

MakePlayerCommand("totem")
MakePlayerCommand("xine")


DVDLabelOption = ''
if DVDLabel:
    DVDLabelOption = ' -V "' + DVDLabel + '"'

def MkIsoArgs(source):
    return '%s -dvd-video %s' % (DVDLabelOption, GetDVDDir(source[0], 0))
#
# * записать iso-образ
#
def IsWin32():
    return sys.platform == 'win32'
if IsWin32():
    mk_iso_cmd = "mkisofs"
else:
    mk_iso_cmd = "genisoimage"
    
def GenIsoAction(source, target, env, for_signature):
    return "%s%s > %s" % (mk_iso_cmd, MkIsoArgs(source), target[0].path)

# Замечание: 'scons -c' не удаляет iso, надо 'scons -c dvd.iso'
Command(dvd_dir + '.iso', [dvd_scons_target], MakeGenAction(GenIsoAction)) # "mkisofs -dvd-video $SOURCE > $TARGET")

DVDDriveArg    = '/dev/null'
if DVDDrive:
    DVDDriveArg = DVDDrive

DVDSpeedOption = ''
if DVDSpeed:
    DVDSpeedOption = ' -speed=' + str(DVDSpeed)
#
# * прожечь на DVD = "growisofs -dry-run -dvd-compat -Z /dev/dvd -dvd-video dvd"
# -use-the-force-luke=tty - чтобы без сомнений переписывал сожержимое DVD-+RW
def GenBurnAction(source, target, env, for_signature):
    return "growisofs -dvd-compat -use-the-force-luke=tty%s -Z %s%s" % (DVDSpeedOption, DVDDriveArg, MkIsoArgs(source))

MakeAbstractCommandForDVDDir("burn", GenBurnAction)

=== debian/changelog ===
bombono-dvd (1.2.2-0ubuntu23) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 19:59:36 +0000

bombono-dvd (1.2.2-0ubuntu22) focal; urgency=medium

  * Build-depend on python2, depend on python2.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 15:00:02 +0100

bombono-dvd (1.2.2-0ubuntu21) focal; urgency=medium

  * Build-depend on dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 16:43:02 +0100

bombono-dvd (1.2.2-0ubuntu20) focal; urgency=medium

  * Rebuild with the new libdvdread soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Nov 2019 16:50:30 +0100

bombono-dvd (1.2.2-0ubuntu19) eoan; urgency=medium

  * No change rebuild against new boost regex icu encoded abi ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 17:52:08 +0100

bombono-dvd (1.2.2-0ubuntu18) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:42:41 +0000

bombono-dvd (1.2.2-0ubuntu17) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:53:38 +0000

bombono-dvd (1.2.2-0ubuntu16) bionic; urgency=medium

  * Depend on ffmpeg instead of the transitional package libav-tools.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 19 Apr 2018 20:35:29 -0500

bombono-dvd (1.2.2-0ubuntu15) bionic; urgency=medium

  * Recommend fonts-freefont-ttf instead of transitional package
  * Bump debhelper compat to 11 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 08 Apr 2018 07:58:15 -0400

bombono-dvd (1.2.2-0ubuntu14) bionic; urgency=medium

  * Import patches from https://github.com/momeni/bombono-dvd

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Oct 2017 23:42:45 +0000

bombono-dvd (1.2.2-0ubuntu13) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:10:15 +0000

bombono-dvd (1.2.2-0ubuntu12) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:10:12 +0000

bombono-dvd (1.2.2-0ubuntu11) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:11:43 +0000

bombono-dvd (1.2.2-0ubuntu10) yakkety; urgency=medium

  * Drop existing patch stack, replacing with upstream patches:
    - Fixes for ffmpeg 3.0.1.
    - Fixes for C++11 and Boost.
    - Add -std=c++11 by default.
    - Miscellaneous compile fixes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2016 00:48:35 +0100

bombono-dvd (1.2.2-0ubuntu9) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:37:09 +0000

bombono-dvd (1.2.2-0ubuntu8) wily; urgency=medium

  * No-change rebuild for libxml++ soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 08:27:53 +0000

bombono-dvd (1.2.2-0ubuntu7) wily; urgency=medium

  * Stop using ffmpeg private field data_offset which is no longer
    available.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 12 Aug 2015 12:16:58 +0100

bombono-dvd (1.2.2-0ubuntu6) wily; urgency=medium

  * Rebuild against *v5 libraries.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:42:03 +0200

bombono-dvd (1.2.2-0ubuntu4) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 20:00:22 +0100

bombono-dvd (1.2.2-0ubuntu3) utopic; urgency=medium

  * Import patch from upstream Trac to fix FTBFS against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 30 May 2014 23:11:31 -0400

bombono-dvd (1.2.2-0ubuntu2) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 27 Apr 2014 00:00:15 +0100

bombono-dvd (1.2.2-0ubuntu1) trusty; urgency=low

  * New upstream release

  * Switch dependency from ffmpeg (no longer in trusty) to libav-tools
  * Add new build dependencies on libavcodec-dev and libavutil-dev
  * Remove obsolete Breaks/Replaces on 1.2.1-0ubuntu1, no upgrade path available
    - update debian/control
  * Remove hardcoded boost filesystem version
    - update debian/rules
  * Remove all patches, applied upstream

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 07 Nov 2013 19:03:05 -0600

bombono-dvd (1.2.1-0ubuntu7) trusty; urgency=low

  * No change rebuild for libav9 transition 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 05 Nov 2013 19:24:05 -0600

bombono-dvd (1.2.1-0ubuntu6) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 15:13:58 +0100

=== debian/control ===
Source: bombono-dvd
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Standards-Version: 3.9.3
Homepage: http://www.bombono.org
Build-Depends: debhelper (>= 11),
 dh-python,
 python2,
 scons,
 libavformat-dev,
 libavcodec-dev,
 libswscale-dev,
 libavutil-dev,
 libdvdread-dev,
 libgtkmm-2.4-dev,
 libxml++2.6-dev,
 libmjpegtools-dev,
 libgraphicsmagick++1-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev

Package: bombono-dvd
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 dvdauthor,
 mjpegtools,
 dvd+rw-tools,
 twolame,
 bombono-dvd-data (>= ${source:Version}),
 ffmpeg,
 enca,
 scons
Recommends: fonts-freefont-ttf
Suggests: totem
Description: DVD authoring program with nice and clean GUI
 Bombono DVD is easy to use program for making DVD-Video.
 The main features of Bombono DVD are:
  * excellent MPEG viewer: Timeline and Monitor
  * real WYSIWYG Menu Editor with live thumbnails
  * comfortable Drag-N-Drop support
  * you can author to folder, make ISO-image or burn directly to DVD
  * reauthoring: you can import video from DVD discs.

Package: bombono-dvd-data
Architecture: all
Enhances: bombono-dvd
Depends: ${misc:Depends}, ${python:Depends}
Description: Data files for bombono-dvd
 Bombono DVD is easy to use program for making DVD-Video.
 The main features of Bombono DVD are:
  * excellent MPEG viewer: Timeline and Monitor
  * real WYSIWYG Menu Editor with live thumbnails
  * comfortable Drag-N-Drop support
  * you can author to folder, make ISO-image or burn directly to DVD
  * reauthoring: you can import video from DVD discs.
 .
 This package contains architecture-independent data files needed by
 bombono-dvd.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
	CPPFLAGS='-UBOOST_SYSTEM_NO_DEPRECATED' \
	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	dh_clean config.log tools/scripts/*.pyc config.opts

override_dh_auto_install:
	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp \
	CC="$(CC)" CXX="$(CXX)" install
	
	cd $(CURDIR)/debian/tmp/usr/share/bombono/resources/frames && \
	mv 'shadow & white' shadow_and_white
	cd $(CURDIR)/debian/tmp/usr/share/bombono/resources/copy-n-paste/ && \
	rm -f FreeSans.ttf && \
	ln -s /usr/share/fonts/truetype/freefont/FreeSans.ttf FreeSans.ttf
	rm -rf debian/tmp/usr/share/man
